Package org.apache.xmlbeans.impl.xb.xsdschema

## Interface EnumerationDocument

- All Superinterfaces:
    `XmlObject`, `XmlTokenSource`
  All Known Implementing Classes:
    `EnumerationDocumentImpl`

      public interface EnumerationDocument
      extends XmlObject

  A document containing one enumeration(@http://www.w3.org/2001/XMLSchema) element. This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DocumentFactory<EnumerationDocument>` | `Factory` |
    `static SchemaType` | `type` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `NoFixedFacet` | `addNewEnumeration()` | Appends and returns a new empty "enumeration" element
    `NoFixedFacet` | `getEnumeration()` | Gets the "enumeration" element
    `void` | `setEnumeration​(NoFixedFacet enumeration)` | Sets the "enumeration" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<EnumerationDocument> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getEnumeration

          NoFixedFacet getEnumeration()

      Gets the "enumeration" element

    - #### setEnumeration

          void setEnumeration​(NoFixedFacet enumeration)

      Sets the "enumeration" element

    - #### addNewEnumeration

          NoFixedFacet addNewEnumeration()

      Appends and returns a new empty "enumeration" element